Bug 458401 - qpidd server fails to start -- Data directory is locked by another process:
qpidd server fails to start -- Data directory is locked by another process:
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qpidc (Show other bugs)
8
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Ted Ross
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 458465
  Show dependency treegraph
 
Reported: 2008-08-07 20:29 EDT by Ed Hill
Modified: 2008-11-26 12:37 EST (History)
2 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:37:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Hill 2008-08-07 20:29:29 EDT
Description of problem:
Startup of the qpidd service fails with:

[root@xxx]: /etc/init.d/qpidd start
Starting Qpid AMQP daemon: Daemon startup failed: Data directory is locked by another process: /var/lib/qpidd
                                                           [FAILED]
[root@xxx]: 

Version-Release number of selected component (if applicable):
qpidd-0.2.667603-2.fc8.x86_64

How reproducible:
100%

Steps to Reproduce:
1. 'service qpidd start'
2. reach over and un-plug the machine (force a crash)
3. after re-booting, the qpidd service refuses to start
  
Expected results:
The init scripts should somehow (?) realize that its a stale lock.
Comment 1 Ed Hill 2008-08-08 10:15:52 EDT
After reading "src/qpid/DataDir.cpp" its obvious that:

  rm /var/lib/qpidd/lock

is a work-around for this problem.  But its *not* an actual fix.  Most 
users are not prepared to read C++ to figure out how to get the qpidd 
running after a system crash.

I think the real fix is to modify the /etc/init.d/qpidd startup script 
so that:

  0) it uses the $pidfile so it *knows* whether a qpidd process is 
     actually running or not
  1) if qpidd is not running, then delete the /var/lib/qpidd/lock
     before trying to start a new one
Comment 2 Bug Zapper 2008-11-26 06:04:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jon Stanley 2008-11-26 12:37:45 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.